members.dev
Custom fields

List Custom Fields

Lists Custom Field Definitions

GET
/v1/custom-fields

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

entity_type?|

Filter by resource type.

include_inactive?boolean

When true, include inactive definitions.

Defaultfalse
page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/custom-fields"
{
  "items": [
    {
      "id": "string",
      "entity_type": "user",
      "key": "string",
      "label": "string",
      "description": "string",
      "field_type": "text",
      "is_required": true,
      "is_user_editable": true,
      "is_user_visible": true,
      "options": [
        null
      ],
      "is_active": true,
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}